dhall-1.32.0: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Format

Contents

- Format

Description

This module contains the implementation of the `dhall format` subcommand

Synopsis

- data Format = Format {
  - characterSet :: CharacterSet
  - censor :: Censor
  - input :: Input
  - outputMode :: OutputMode
  }
- format :: Format -> IO ()

# Format

data Format Source #

Arguments to the `format` subcommand

Constructors

Format |

Fields

- characterSet :: CharacterSet
- censor :: Censor
- input :: Input
- outputMode :: OutputMode

format :: Format -> IO () Source #

Implementation of the `dhall format` subcommand